Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513123 - PG String Data Right Truncation error: Value too long for type character varying(255)
Summary: PG String Data Right Truncation error: Value too long for type character vary...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Yuri Rudman
QA Contact: luke couzens
URL:
Whiteboard:
Depends On: 1510605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 19:15 UTC by Satoe Imaishi
Modified: 2018-03-06 15:16 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510605
Environment:
Last Closed: 2018-03-06 15:16:17 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:23:02 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/c6a82d3b0da835fbec50f9d522a40bd836ea8fcc

commit c6a82d3b0da835fbec50f9d522a40bd836ea8fcc
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Nov 13 09:32:25 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 17:32:26 2017 -0500

    Merge pull request #16444 from yrudman/name-of-refresh-task-should-fit-255
    
    Truncate name of refresh task to 255
    (cherry picked from commit f74530dd5716da2b8b36701f6e9adfe850b00134)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513123

 app/models/ems_refresh.rb       |  2 +-
 spec/models/ems_refresh_spec.rb | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2017-11-29 20:48:00 UTC
New commit detected on ManageIQ/manageiq-schema/gaprindashvili:
https://github.com/ManageIQ/manageiq-schema/commit/e42454fc4034969a5edeaa592eb03b6c428da78e

commit e42454fc4034969a5edeaa592eb03b6c428da78e
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Nov 16 11:21:46 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 17 11:13:42 2017 -0500

    Merge pull request #125 from carbonin/remove_limit_from_string_columns
    
    Remove the limit from string columns in all tables
    (cherry picked from commit b8206af536e5b747a748ca451619f4dd72e4a1ae)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513123

 .../20171109225052_remove_string_column_limits.rb  | 10 +++++++++
 ...71109225052_remove_string_column_limits_spec.rb | 25 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)
 create mode 100644 db/migrate/20171109225052_remove_string_column_limits.rb
 create mode 100644 spec/migrations/20171109225052_remove_string_column_limits_spec.rb

Comment 4 luke couzens 2018-01-09 11:06:01 UTC
Hey Yuri,

Can you give me some reproducing steps for this please?

Thanks

Comment 5 Yuri Rudman 2018-01-09 17:36:02 UTC
Luke, you can reproduce underlying error "PG::StringDataRightTruncation: ERROR:  value too long for type character varying(255)":

1. Upgrade version 3.2 to 4.5
2. from Rails console execute: MiqTask.create(:name => "c"*5000)


Thanks,
Yuri

Comment 6 luke couzens 2018-01-09 19:47:24 UTC
Verified in 5.9.0.15

steps:
Restored and migrated 3.2 database
executed command MiqTask.create(:name => "c"*5000)
started evm
refreshed vsphere provider
checked for errors.


Note You need to log in before you can comment on or make changes to this bug.